package com.xxfc.platform.activity.vo;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

/**
 * @author libin
 * @version 1.0
 * @description
 * @data 2019/12/4 15:21
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class ActivityAttendanceRecordTotalVo {
     private Integer attendNum;
     private Integer finishNum;
     private BigDecimal amount;

    public Integer getAttendNum() {
        return attendNum==null?0:attendNum;
    }

    public Integer getFinishNum() {
        return finishNum==null?0:finishNum;
    }

    public BigDecimal getAmount() {
        return amount==null?BigDecimal.ZERO:amount;
    }
}
